### Method

# WPEPlatform Gamepad button_event

#### Declaration [src]

    void
    wpe_gamepad_button_event (
      WPEGamepad* gamepad,
      WPEGamepadButton button,
      gboolean is_pressed
    )

#### Description [src]

Emit the signal `WPEGamepad::button-event`.

#### Parameters

`button`

  Type: `WPEGamepadButton`

  A `WPEGamepadButton`.

`is_pressed`

  Type: `gboolean`

  Whether `button` is pressed or not.